Subject: RE: initdb failure - postgres hangs with 100% CPU
From: Steve Jorgensen <[email-masked]>
To: "cygwin@cygwin. Com (E-mail)" <[email-masked]>
Date: Wed, 11 Jul 2001 11:09:52 -0700

-----Original Message-----
From:	Jason Tishler [SMTP:[email-masked]]
Sent:	Wednesday, July 11, 2001 8:01 AM
To:	Steve Jorgensen
Cc:	[email-masked];; [email-masked]
Subject:	Re: initdb failure - postgres hangs with 100% CPU

Steve,

In the future, please keep your replies to the list(s).

Sorry - I thought I had.

...

I this case fishing is easy but expensive.  If you install MSVS 6.0,
then all you need to do is:

    $ nmake -f win32.mak

I know, but I'm always trying to minimize my dependence upon such things.

> I tried just configuring with a
> target of i586-pc-win32, then running make in the libpq directory - I had 
> no errors, but only got pq.dll, not libpq.dll.  I don't even know what
> pq.dll is.

You just did the configure for building under Cygwin.  pq.dll is the
Cygwin version of libpq.dll.

I would have thought a native cygwin library would be .a, not .dll.  Did I 
make the Cygwin library, but make it as a DLL (thus completely useless) 
because I gave -win32 as the target?

> By "using Cygwin/gcc" do you mean Cygwin's gcc -mno-cygwin or Mingw
> mode?  If so, then it should be possible but I don't know of anyone who
> has done it yet.
>
> [Steve Jorgensen]  Yes, that's what I meant.  Thanks for your reply.

I presume that you saw the recent activity regarding the above.  Why don't
you give Christof's patches a shot?

I shall, and thanks.  Now I should figure out what's the difference between 
mingw and -mno-cygwin, and why one uses one vs the other.

Jason

--
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/